# GstVideoResampler

GstVideoResampler is a structure which holds the information required to perform various kinds of resampling filtering.

## GstVideoResampler

A structure holding resampler information.

### Members

`in_size` (gint) –

the input size

`out_size` (gint) –

the output size

`max_taps` (guint) –

the maximum number of taps

`n_phases` (guint) –

the number of phases

`offset` (guint32 *) –

array with the source offset for each output element

`phase` (guint32 *) –

array with the phase to use for each output element

`n_taps` (guint32 *) –

array with new number of taps for each phase

`taps` (gdouble *) –

the taps for all phases

Since : 1.6

## GstVideo.VideoResampler

A structure holding resampler information.

### Members

`in_size` (Number) –

the input size

`out_size` (Number) –

the output size

`max_taps` (Number) –

the maximum number of taps

`n_phases` (Number) –

the number of phases

`offset` (Number) –

array with the source offset for each output element

`phase` (Number) –

array with the phase to use for each output element

`n_taps` (Number) –

array with new number of taps for each phase

`taps` (Number) –

the taps for all phases

Since : 1.6

## GstVideo.VideoResampler

A structure holding resampler information.

### Members

`in_size` (int) –

the input size

`out_size` (int) –

the output size

`max_taps` (int) –

the maximum number of taps

`n_phases` (int) –

the number of phases

`offset` (int) –

array with the source offset for each output element

`phase` (int) –

array with the phase to use for each output element

`n_taps` (int) –

array with new number of taps for each phase

`taps` (float) –

the taps for all phases

Since : 1.6

### Methods

#### gst_video_resampler_clear

    gst_video_resampler_clear (GstVideoResampler * resampler)

Clear a previously initialized GstVideoResampler resampler.

Parameters:

`resampler` –

a GstVideoResampler

Since : 1.6

#### GstVideo.VideoResampler.prototype.clear

    function GstVideo.VideoResampler.prototype.clear(): {
        // javascript wrapper for 'gst_video_resampler_clear'
    }

Clear a previously initialized GstVideo.VideoResampler resampler.

Parameters:

`resampler` (GstVideo.VideoResampler) –

a GstVideo.VideoResampler

Since : 1.6

#### GstVideo.VideoResampler.clear

    def GstVideo.VideoResampler.clear (self):
        #python wrapper for 'gst_video_resampler_clear'

Clear a previously initialized GstVideo.VideoResampler resampler.

Parameters:

`resampler` (GstVideo.VideoResampler) –

a GstVideo.VideoResampler

Since : 1.6

#### gst_video_resampler_init

    gboolean
    gst_video_resampler_init (GstVideoResampler * resampler,
                              GstVideoResamplerMethod method,
                              GstVideoResamplerFlags flags,
                              guint n_phases,
                              guint n_taps,
                              gdouble shift,
                              guint in_size,
                              guint out_size,
                              GstStructure * options)

Parameters:

`resampler` –
No description available
`method` –
No description available
`flags` –
No description available
`n_phases` –
No description available
`n_taps` –
No description available
`shift` –
No description available
`in_size` –
No description available
`out_size` –
No description available
`options` –
No description available
Returns –
No description available

#### GstVideo.VideoResampler.prototype.init

    function GstVideo.VideoResampler.prototype.init(method: GstVideo.VideoResamplerMethod, flags: GstVideo.VideoResamplerFlags, n_phases: Number, n_taps: Number, shift: Number, in_size: Number, out_size: Number, options: Gst.Structure): {
        // javascript wrapper for 'gst_video_resampler_init'
    }

Parameters:

`resampler` (GstVideo.VideoResampler) –
No description available
`method` (GstVideo.VideoResamplerMethod) –
No description available
`flags` (GstVideo.VideoResamplerFlags) –
No description available
`n_phases` (Number) –
No description available
`n_taps` (Number) –
No description available
`shift` (Number) –
No description available
`in_size` (Number) –
No description available
`out_size` (Number) –
No description available
`options` (Gst.Structure) –
No description available
Returns (Number) –
No description available

#### GstVideo.VideoResampler.init

    def GstVideo.VideoResampler.init (self, method, flags, n_phases, n_taps, shift, in_size, out_size, options):
        #python wrapper for 'gst_video_resampler_init'

Parameters:

`resampler` (GstVideo.VideoResampler) –
No description available
`method` (GstVideo.VideoResamplerMethod) –
No description available
`flags` (GstVideo.VideoResamplerFlags) –
No description available
`n_phases` (int) –
No description available
`n_taps` (int) –
No description available
`shift` (float) –
No description available
`in_size` (int) –
No description available
`out_size` (int) –
No description available
`options` (Gst.Structure) –
No description available
Returns (bool) –
No description available

## Enumerations

### GstVideoResamplerFlags

Different resampler flags.

##### Members

`GST_VIDEO_RESAMPLER_FLAG_NONE` (0) –

no flags

`GST_VIDEO_RESAMPLER_FLAG_HALF_TAPS` (1) –

when no taps are given, half the number of calculated taps. This can be used when making scalers for the different fields of an interlaced picture. Since: 1.10

Since : 1.6

### GstVideo.VideoResamplerFlags

Different resampler flags.

##### Members

`GstVideo.VideoResamplerFlags.NONE` (0) –

no flags

`GstVideo.VideoResamplerFlags.HALF_TAPS` (1) –

when no taps are given, half the number of calculated taps. This can be used when making scalers for the different fields of an interlaced picture. Since: 1.10

Since : 1.6

### GstVideo.VideoResamplerFlags

Different resampler flags.

##### Members

`GstVideo.VideoResamplerFlags.NONE` (0) –

no flags

`GstVideo.VideoResamplerFlags.HALF_TAPS` (1) –

when no taps are given, half the number of calculated taps. This can be used when making scalers for the different fields of an interlaced picture. Since: 1.10

Since : 1.6

### GstVideoResamplerMethod

Different subsampling and upsampling methods

##### Members

`GST_VIDEO_RESAMPLER_METHOD_NEAREST` (0) –

Duplicates the samples when upsampling and drops when downsampling

`GST_VIDEO_RESAMPLER_METHOD_LINEAR` (1) –

Uses linear interpolation to reconstruct missing samples and averaging to downsample

`GST_VIDEO_RESAMPLER_METHOD_CUBIC` (2) –

Uses cubic interpolation

`GST_VIDEO_RESAMPLER_METHOD_SINC` (3) –

Uses sinc interpolation

`GST_VIDEO_RESAMPLER_METHOD_LANCZOS` (4) –

Uses lanczos interpolation

Since : 1.6

### GstVideo.VideoResamplerMethod

Different subsampling and upsampling methods

##### Members

`GstVideo.VideoResamplerMethod.NEAREST` (0) –

Duplicates the samples when upsampling and drops when downsampling

`GstVideo.VideoResamplerMethod.LINEAR` (1) –

Uses linear interpolation to reconstruct missing samples and averaging to downsample

`GstVideo.VideoResamplerMethod.CUBIC` (2) –

Uses cubic interpolation

`GstVideo.VideoResamplerMethod.SINC` (3) –

Uses sinc interpolation

`GstVideo.VideoResamplerMethod.LANCZOS` (4) –

Uses lanczos interpolation

Since : 1.6

### GstVideo.VideoResamplerMethod

Different subsampling and upsampling methods

##### Members

`GstVideo.VideoResamplerMethod.NEAREST` (0) –

Duplicates the samples when upsampling and drops when downsampling

`GstVideo.VideoResamplerMethod.LINEAR` (1) –

Uses linear interpolation to reconstruct missing samples and averaging to downsample

`GstVideo.VideoResamplerMethod.CUBIC` (2) –

Uses cubic interpolation

`GstVideo.VideoResamplerMethod.SINC` (3) –

Uses sinc interpolation

`GstVideo.VideoResamplerMethod.LANCZOS` (4) –

Uses lanczos interpolation

Since : 1.6

## Constants

### GST_VIDEO_RESAMPLER_OPT_CUBIC_B

    #define GST_VIDEO_RESAMPLER_OPT_CUBIC_B      "GstVideoResampler.cubic-b"

G_TYPE_DOUBLE, B parameter of the cubic filter. The B parameter controls the bluriness. Values between 0.0 and 2.0 are accepted. 1/3 is the default.

Below are some values of popular filters: B C Hermite 0.0 0.0 Spline 1.0 0.0 Catmull-Rom 0.0 1/2 Mitchell 1/3 1/3 Robidoux 0.3782 0.3109 Robidoux Sharp 0.2620 0.3690 Robidoux Soft 0.6796 0.1602

### GstVideo.VIDEO_RESAMPLER_OPT_CUBIC_B

G_TYPE_DOUBLE, B parameter of the cubic filter. The B parameter controls the bluriness. Values between 0.0 and 2.0 are accepted. 1/3 is the default.

Below are some values of popular filters: B C Hermite 0.0 0.0 Spline 1.0 0.0 Catmull-Rom 0.0 1/2 Mitchell 1/3 1/3 Robidoux 0.3782 0.3109 Robidoux Sharp 0.2620 0.3690 Robidoux Soft 0.6796 0.1602

### GstVideo.VIDEO_RESAMPLER_OPT_CUBIC_B

G_TYPE_DOUBLE, B parameter of the cubic filter. The B parameter controls the bluriness. Values between 0.0 and 2.0 are accepted. 1/3 is the default.

Below are some values of popular filters: B C Hermite 0.0 0.0 Spline 1.0 0.0 Catmull-Rom 0.0 1/2 Mitchell 1/3 1/3 Robidoux 0.3782 0.3109 Robidoux Sharp 0.2620 0.3690 Robidoux Soft 0.6796 0.1602

### GST_VIDEO_RESAMPLER_OPT_CUBIC_C

    #define GST_VIDEO_RESAMPLER_OPT_CUBIC_C      "GstVideoResampler.cubic-c"

G_TYPE_DOUBLE, C parameter of the cubic filter. The C parameter controls the Keys alpha value. Values between 0.0 and 2.0 are accepted. 1/3 is the default.

See GST_VIDEO_RESAMPLER_OPT_CUBIC_B for some more common values

### GstVideo.VIDEO_RESAMPLER_OPT_CUBIC_C

G_TYPE_DOUBLE, C parameter of the cubic filter. The C parameter controls the Keys alpha value. Values between 0.0 and 2.0 are accepted. 1/3 is the default.

See GstVideo.VIDEO_RESAMPLER_OPT_CUBIC_B for some more common values

### GstVideo.VIDEO_RESAMPLER_OPT_CUBIC_C

G_TYPE_DOUBLE, C parameter of the cubic filter. The C parameter controls the Keys alpha value. Values between 0.0 and 2.0 are accepted. 1/3 is the default.

See GstVideo.VIDEO_RESAMPLER_OPT_CUBIC_B for some more common values

### GST_VIDEO_RESAMPLER_OPT_ENVELOPE

    #define GST_VIDEO_RESAMPLER_OPT_ENVELOPE      "GstVideoResampler.envelope"

G_TYPE_DOUBLE, specifies the size of filter envelope for GST_VIDEO_RESAMPLER_METHOD_LANCZOS. values are clamped between 1.0 and 5.0. 2.0 is the default.

### GstVideo.VIDEO_RESAMPLER_OPT_ENVELOPE

G_TYPE_DOUBLE, specifies the size of filter envelope for GST_VIDEO_RESAMPLER_METHOD_LANCZOS. values are clamped between 1.0 and 5.0. 2.0 is the default.

### GstVideo.VIDEO_RESAMPLER_OPT_ENVELOPE

G_TYPE_DOUBLE, specifies the size of filter envelope for GST_VIDEO_RESAMPLER_METHOD_LANCZOS. values are clamped between 1.0 and 5.0. 2.0 is the default.

### GST_VIDEO_RESAMPLER_OPT_MAX_TAPS

    #define GST_VIDEO_RESAMPLER_OPT_MAX_TAPS     "GstVideoResampler.max-taps"

G_TYPE_INT, limits the maximum number of taps to use. 16 is the default.

### GstVideo.VIDEO_RESAMPLER_OPT_MAX_TAPS

G_TYPE_INT, limits the maximum number of taps to use. 16 is the default.

### GstVideo.VIDEO_RESAMPLER_OPT_MAX_TAPS

G_TYPE_INT, limits the maximum number of taps to use. 16 is the default.

### GST_VIDEO_RESAMPLER_OPT_SHARPEN

    #define GST_VIDEO_RESAMPLER_OPT_SHARPEN      "GstVideoResampler.sharpen"

G_TYPE_DOUBLE, specifies sharpening of the filter for GST_VIDEO_RESAMPLER_METHOD_LANCZOS. values are clamped between 0.0 and 1.0. 0.0 is the default.

### GstVideo.VIDEO_RESAMPLER_OPT_SHARPEN

G_TYPE_DOUBLE, specifies sharpening of the filter for GST_VIDEO_RESAMPLER_METHOD_LANCZOS. values are clamped between 0.0 and 1.0. 0.0 is the default.

### GstVideo.VIDEO_RESAMPLER_OPT_SHARPEN

G_TYPE_DOUBLE, specifies sharpening of the filter for GST_VIDEO_RESAMPLER_METHOD_LANCZOS. values are clamped between 0.0 and 1.0. 0.0 is the default.

### GST_VIDEO_RESAMPLER_OPT_SHARPNESS

    #define GST_VIDEO_RESAMPLER_OPT_SHARPNESS     "GstVideoResampler.sharpness"

G_TYPE_DOUBLE, specifies sharpness of the filter for GST_VIDEO_RESAMPLER_METHOD_LANCZOS. values are clamped between 0.5 and 1.5. 1.0 is the default.

### GstVideo.VIDEO_RESAMPLER_OPT_SHARPNESS

G_TYPE_DOUBLE, specifies sharpness of the filter for GST_VIDEO_RESAMPLER_METHOD_LANCZOS. values are clamped between 0.5 and 1.5. 1.0 is the default.

### GstVideo.VIDEO_RESAMPLER_OPT_SHARPNESS

G_TYPE_DOUBLE, specifies sharpness of the filter for GST_VIDEO_RESAMPLER_METHOD_LANCZOS. values are clamped between 0.5 and 1.5. 1.0 is the default.

The results of the search are